# Ruby/Pcap extension library

Ruby interface to LBL libpcap (Packet Capture library).

## Modules

- `Pcap`

## Classes

Following classes are defined under module `Pcap`. When you use these classes, you need to `include` module `Pcap` or refer them like `Pcap::Capture`.

- `Capture`
- `Pcaplet`
- `Packet`
  - `IPPacket`
    - `TCPPacket`
    - `UDPPacket`
    - `ICMPPacket`
- `IPAddress`
- `Dumper`
- `Filter`

## Exceptions

- `PcapError`
  - `TruncatedPacket`

fukusima@goto.info.waseda.ac.jp